Difference between revisions of "AUR Cleanup Day/2010"

From ArchWiki
Jump to: navigation, search
(Removed alredy deleted packages from the list)
(And the saga continues – removed more deleted packages from the list)
Line 59: Line 59:
 
* [http://aur.archlinux.org/packages.php?ID=10611 kalsamix] - "dead" project and too old to be useful
 
* [http://aur.archlinux.org/packages.php?ID=10611 kalsamix] - "dead" project and too old to be useful
 
* [http://aur.archlinux.org/packages.php?ID=4267 kdedecor-pureline] - broken links, too old, not maintained
 
* [http://aur.archlinux.org/packages.php?ID=4267 kdedecor-pureline] - broken links, too old, not maintained
* [http://aur.archlinux.org/packages.php?ID=29256 kernel26-nemo] - replaced by [http://aur.archlinux.org/packages.php?ID=30265 kernel26-mipl] (see comment)
 
 
* [http://aur.archlinux.org/packages.php?ID=10363 konch] - broken links, too old, not maintained
 
* [http://aur.archlinux.org/packages.php?ID=10363 konch] - broken links, too old, not maintained
* [http://aur.archlinux.org/packages.php?ID=6240 ksirk] - replaced by [http://www.archlinux.org/packages/?q=kdegames-ksirk extra/kdegames-ksirk]
 
 
* [http://aur.archlinux.org/packages.php?ID=6278 ktu] - project page and sources aren't available
 
* [http://aur.archlinux.org/packages.php?ID=6278 ktu] - project page and sources aren't available
* [http://aur.archlinux.org/packages.php?ID=24998 lib32-nvidia-utils-173.14.18-1] - same as [http://aur.archlinux.org/packages.php?ID=29043 lib32-nvidia-utils-173xx]
 
* [http://aur.archlinux.org/packages.php?ID=29042 lib32-nvidia-utils-173.14.20-1] - same as [http://aur.archlinux.org/packages.php?ID=29043 lib32-nvidia-utils-173xx]
 
* [http://aur.archlinux.org/packages.php?ID=12035 lib32-openssl] - duplicate from [http://www.archlinux.org/packages/community/x86_64/lib32-openssl/ community/lib32-openssl], shouldn't be in AUR according to [http://bbs.archlinux.org/viewtopic.php?pid=471112#p471112 this].
 
* [http://aur.archlinux.org/packages.php?ID=13222 lib32-libxcomposite] - duplicate from [http://www.archlinux.org/packages/community/x86_64/lib32-libxcomposite/ community/lib32-libxcomposite], shouldn't be in AUR according to [http://bbs.archlinux.org/viewtopic.php?pid=471112#p471112 this].
 
 
* [http://aur.archlinux.org/packages.php?ID=2363 libcoaster] - project page and sources aren't available, and too old to be useful
 
* [http://aur.archlinux.org/packages.php?ID=2363 libcoaster] - project page and sources aren't available, and too old to be useful
 
* [http://aur.archlinux.org/packages.php?ID=13206 libpsychrometric] - "dead" project, not maintained
 
* [http://aur.archlinux.org/packages.php?ID=13206 libpsychrometric] - "dead" project, not maintained
Line 75: Line 69:
 
* [http://aur.archlinux.org/packages.php?ID=13128 mupad-packages] - sources are no longer available
 
* [http://aur.archlinux.org/packages.php?ID=13128 mupad-packages] - sources are no longer available
 
* [http://aur.archlinux.org/packages.php?ID=10795 ndn-beta] - it's old beta version, broken source link, replaced by [http://aur.archlinux.org/packages.php?ID=10794 ndn]
 
* [http://aur.archlinux.org/packages.php?ID=10795 ndn-beta] - it's old beta version, broken source link, replaced by [http://aur.archlinux.org/packages.php?ID=10794 ndn]
* [http://aur.archlinux.org/packages.php?ID=6232 nspluginwrapper-flash] - not needed anymore
 
 
* [http://aur.archlinux.org/packages.php?ID=12051 netscape-navigator] - closed-sources, end of support by netscape -- Does it still work? If so, no need to delete.
 
* [http://aur.archlinux.org/packages.php?ID=12051 netscape-navigator] - closed-sources, end of support by netscape -- Does it still work? If so, no need to delete.
* [http://aur.archlinux.org/packages.php?ID=20585 openoffice-beta-ru] - language files for old beta
 
* [http://aur.archlinux.org/packages.php?ID=2782 openoffice-spell-cs] - apparently, this is not needed anymore (see comments by [http://aur.archlinux.org/packages.php?ID=10610 Dragonlord], [http://aur.archlinux.org/packages.php?ID=3409 julemand1-01-Nov-2008] and [http://aur.archlinux.org/packages.php?ID=6986 scarecrow])
 
* [http://aur.archlinux.org/packages.php?ID=3409 openoffice-spell-da] - see comment for openoffice-spell-cs
 
* [http://aur.archlinux.org/packages.php?ID=6986 openoffice-spell-el] - see comment for openoffice-spell-cs
 
* [http://aur.archlinux.org/packages.php?ID=11705 openoffice-spell-et] - see comment for openoffice-spell-cs
 
* [http://aur.archlinux.org/packages.php?ID=3811 openoffice-spell-fo] - see comment for openoffice-spell-cs
 
* [http://aur.archlinux.org/packages.php?ID=13332 openoffice-spell-id] - see comment for openoffice-spell-cs
 
* [http://aur.archlinux.org/packages.php?ID=11627 openoffice-spell-lv] - see comment for openoffice-spell-cs
 
* [http://aur.archlinux.org/packages.php?ID=10610 openoffice-spell-sl] - see comment for openoffice-spell-cs
 
* [http://aur.archlinux.org/packages.php?ID=27023 opera-beta-qt4] - same as [http://aur.archlinux.org/packages.php?ID=27001 opera-beta]
 
 
* [http://aur.archlinux.org/packages.php?ID=29787 osdlyrics] - wrong software name,and it outdate, in aur there have a new package name [http://aur.archlinux.org/packages.php?ID=30489 osd-lyrics].
 
* [http://aur.archlinux.org/packages.php?ID=29787 osdlyrics] - wrong software name,and it outdate, in aur there have a new package name [http://aur.archlinux.org/packages.php?ID=30489 osd-lyrics].
 
* [http://aur.archlinux.org/packages.php?ID=23040 perl-date-korean] - maintainer wrotes that it may be deleted
 
* [http://aur.archlinux.org/packages.php?ID=23040 perl-date-korean] - maintainer wrotes that it may be deleted
 
* [http://aur.archlinux.org/packages.php?ID=12504 perl-threads] - already included in core/perl
 
* [http://aur.archlinux.org/packages.php?ID=12504 perl-threads] - already included in core/perl
 
* [http://aur.archlinux.org/packages.php?ID=20487 picasa-beta] - there's [http://aur.archlinux.org/packages.php?ID=5362 picasa] so I'm not sure if we need both
 
* [http://aur.archlinux.org/packages.php?ID=20487 picasa-beta] - there's [http://aur.archlinux.org/packages.php?ID=5362 picasa] so I'm not sure if we need both
* [http://aur.archlinux.org/packages.php?ID=27445 policykit1] - obsoleted by [http://www.archlinux.org/packages/?q=polkit extra/polkit]
 
 
* [http://aur.archlinux.org/packages.php?ID=29347 policykit1-gnome] - obsoleted by [http://www.archlinux.org/packages/?q=polkit-gnome extra/polkit-gnome]
 
* [http://aur.archlinux.org/packages.php?ID=29347 policykit1-gnome] - obsoleted by [http://www.archlinux.org/packages/?q=polkit-gnome extra/polkit-gnome]
* [http://aur.archlinux.org/packages.php?ID=18976 pyecore-cvs] - replaced by [http://aur.archlinux.org/packages.php?ID=20278 python-ecore-svn]
 
* [http://aur.archlinux.org/packages.php?ID=18977 pyedje-cvs] - replaced by [http://aur.archlinux.org/packages.php?ID=20425 python-edje-svn]
 
 
* [http://aur.archlinux.org/packages.php?ID=18978 pyetk] - dropped upstream
 
* [http://aur.archlinux.org/packages.php?ID=18978 pyetk] - dropped upstream
* [http://aur.archlinux.org/packages.php?ID=1340 pyevas] - dead project, broken links
 
* [http://aur.archlinux.org/packages.php?ID=18979 pyevas-cvs] - replaced by [http://aur.archlinux.org/packages.php?ID=20279 python-evas-svn]
 
 
* [http://aur.archlinux.org/packages.php?ID=21340 python-etk-svn] - dropped upstream
 
* [http://aur.archlinux.org/packages.php?ID=21340 python-etk-svn] - dropped upstream
 
* [http://aur.archlinux.org/packages.php?ID=31552 python-soaplib-svn] - replaced by [http://aur.archlinux.org/packages.php?ID=38125 python-soaplib-git]
 
* [http://aur.archlinux.org/packages.php?ID=31552 python-soaplib-svn] - replaced by [http://aur.archlinux.org/packages.php?ID=38125 python-soaplib-git]
* [http://aur.archlinux.org/packages.php?ID=26599 rubberband-include-fix] - not maintained, broken links
 
 
* [http://aur.archlinux.org/packages.php?ID=4318 qstat-cvs] - replaced by [http://aur.archlinux.org/packages.php?ID=15617 qstat-svn]
 
* [http://aur.archlinux.org/packages.php?ID=4318 qstat-cvs] - replaced by [http://aur.archlinux.org/packages.php?ID=15617 qstat-svn]
 
* [http://aur.archlinux.org/packages.php?ID=7101 snort-sam] - too old and not maintained; there is [http://www.archlinux.org/packages/?sort=&arch=&repo=Extra&q=snort&last_update=&limit=50 snort] in extra
 
* [http://aur.archlinux.org/packages.php?ID=7101 snort-sam] - too old and not maintained; there is [http://www.archlinux.org/packages/?sort=&arch=&repo=Extra&q=snort&last_update=&limit=50 snort] in extra
Line 108: Line 85:
 
* [http://aur.archlinux.org/packages.php?ID=4567 stepmania-cvs-extras] - broken source links, same as [http://aur.archlinux.org/packages.php?ID=2613 stepmania-extras]
 
* [http://aur.archlinux.org/packages.php?ID=4567 stepmania-cvs-extras] - broken source links, same as [http://aur.archlinux.org/packages.php?ID=2613 stepmania-extras]
 
* [http://aur.archlinux.org/packages.php?ID=6445 tempest_for_eliza] - project page and sources aren't available
 
* [http://aur.archlinux.org/packages.php?ID=6445 tempest_for_eliza] - project page and sources aren't available
* [http://aur.archlinux.org/packages.php?ID=34262 tk] - was uploaded with wrong name (should be mingw32-tk)
 
 
* [http://aur.archlinux.org/packages.php?ID=16753 tklor] - this is a tool for reading forum "linux.org.ru"; development discontinued, project page deleted and current version doesn't work
 
* [http://aur.archlinux.org/packages.php?ID=16753 tklor] - this is a tool for reading forum "linux.org.ru"; development discontinued, project page deleted and current version doesn't work
 
* [http://aur.archlinux.org/packages.php?ID=36681 toggl] - has been superseded by toggl-desktop
 
* [http://aur.archlinux.org/packages.php?ID=36681 toggl] - has been superseded by toggl-desktop
* [http://aur.archlinux.org/packages.php?ID=25761 trytond_addons] - it's same as [http://aur.archlinux.org/packages.php?O=0&K=trytond trytond-* packages], but not maintained and out-of-date
 
 
* [http://aur.archlinux.org/packages.php?ID=18015 uimge-svn] - replaced by [http://aur.archlinux.org/packages.php?ID=22033 uimge-git]
 
* [http://aur.archlinux.org/packages.php?ID=18015 uimge-svn] - replaced by [http://aur.archlinux.org/packages.php?ID=22033 uimge-git]
 
* [http://aur.archlinux.org/packages.php?ID=13250 viceplus] - maintainer wrotes that it may be deleted
 
* [http://aur.archlinux.org/packages.php?ID=13250 viceplus] - maintainer wrotes that it may be deleted
Line 117: Line 92:
 
* vim-(individual color schemes) - there is 65 orphan individual colorschemes where 40 we can be found in vim-colorschemes or vim-colorsamplerpack. I can send a list
 
* vim-(individual color schemes) - there is 65 orphan individual colorschemes where 40 we can be found in vim-colorschemes or vim-colorsamplerpack. I can send a list
 
* vim-(packages) - there 331 packages where almost all redirect to vim.org. Nice to have a lot packages in AUR bur we can search on vim.org (+2800 packages)!
 
* vim-(packages) - there 331 packages where almost all redirect to vim.org. Nice to have a lot packages in AUR bur we can search on vim.org (+2800 packages)!
* [http://aur.archlinux.org/packages.php?ID=25651 web-gmui] - replaced by [http://aur.archlinux.org/packages.php?ID=29881 p2p-gui] (see the last [http://aur.archlinux.org/packages.php?ID=25651 comment] by said)
 
* [http://aur.archlinux.org/packages.php?ID=20911 whaawmp-svn] - replaced by [http://aur.archlinux.org/packages.php?ID=24633 whaawmp-git]
 
 
* [http://aur.archlinux.org/packages.php?ID=29003 wine-mise] - it's no needed anymore (see comments from 11 Oct 2009)
 
* [http://aur.archlinux.org/packages.php?ID=29003 wine-mise] - it's no needed anymore (see comments from 11 Oct 2009)
 
* [http://aur.archlinux.org/packages.php?ID=23687 wine-w3fix] - replaced by [http://aur.archlinux.org/packages.php?ID=27298 wine-wc] (see last comment) Stefanhusmann There seems to be a new maintainer.
 
* [http://aur.archlinux.org/packages.php?ID=23687 wine-w3fix] - replaced by [http://aur.archlinux.org/packages.php?ID=27298 wine-wc] (see last comment) Stefanhusmann There seems to be a new maintainer.
 
* [http://aur.archlinux.org/packages.php?ID=21066 wine-war] - obsolete, and not maintained
 
* [http://aur.archlinux.org/packages.php?ID=21066 wine-war] - obsolete, and not maintained
* [http://aur.archlinux.org/packages.php?ID=27444 wine-wc3] - replaced by [http://aur.archlinux.org/packages.php?ID=27298 wine-wc] (see last comment)
 
 
* [http://aur.archlinux.org/packages.php?ID=29947 xcursor-openzone-white] - replaced by [http://aur.archlinux.org/packages.php?ID=29815 xcursor-openzone]
 
* [http://aur.archlinux.org/packages.php?ID=29947 xcursor-openzone-white] - replaced by [http://aur.archlinux.org/packages.php?ID=29815 xcursor-openzone]
 
* [http://aur.archlinux.org/packages.php?ID=12075 xmltv-tv_grab_de_prisma] - project page and sources aren't available
 
* [http://aur.archlinux.org/packages.php?ID=12075 xmltv-tv_grab_de_prisma] - project page and sources aren't available
 
* [http://aur.archlinux.org/packages.php?ID=6904 xulrunner-thai] - too old to be useful, broken source link -- hm, what is jgc's opinion?
 
* [http://aur.archlinux.org/packages.php?ID=6904 xulrunner-thai] - too old to be useful, broken source link -- hm, what is jgc's opinion?
* [http://aur.archlinux.org/packages.php?ID=16408 zim-nightly] - "Host for nightly is gone. So this package is dead." (see comment)
 
 
* [http://aur.archlinux.org/packages.php?ID=31717 bash-bookmarks] -this package is no longer needed (see comments)
 
* [http://aur.archlinux.org/packages.php?ID=31717 bash-bookmarks] -this package is no longer needed (see comments)
 
*[http://aur.archlinux.org/packages.php?ID=28416 gtkada] -- svn build, PKGBUILD needs changes, can't get ahold of current maintainer
 
*[http://aur.archlinux.org/packages.php?ID=28416 gtkada] -- svn build, PKGBUILD needs changes, can't get ahold of current maintainer

Revision as of 18:02, 20 September 2010

TU's are currently working through the list. You can still add packages but please check the whole page first. The TUs will not delete any useful package.


The AUR has a large number of obsolete packages which could use cleaning up. Examples of packages that may be cleaned up are:

  • packages that have been renamed or replaced
  • old and unmaintained developmental (cvs/svn/etc) packages

Post suggestions of packages on this pages. Trusted Users will get together and go though the list in a couple of weeks and confirm which packages should be removed.

Please DO NOT REMOVE suggestions from the wiki page but add a comment on why it should be kept instead. Please list packages in alphabetical order!

Package List

Add new packages here - check for the package in the sorted lists below before adding

  • abiword-extras - depreciated as of v2.7.2 (now 2.8.6) merged into abiword as compile time options,
  • bmp-flac - doesnt work anymore
  • bmp-scrobbler - doesnt work anymore
  • boxee - deprecated by boxee-source
  • click - not maintained, broken links, dead project
  • cputnik - apparently "dead" project, broken links
  • ct - project page and sources aren't available
  • daemonsbkg - old initscripts patch
  • divifund - "dead" project; it's very old and doesn't work with the latest versions of its dependencies
  • drift - project page and sources aren't available
  • eclipse-i18n-pack1 - not needed anymore (it's for old eclipse), broken source link
  • eclipse-i18n-pack2 - not needed anymore (it's for old eclipse), broken source link
  • eclipse-i18n-pack2a - not needed anymore (it's for old eclipse), broken source link
  • eclipse-i18n-packbidi - not needed anymore (it's for old eclipse), broken source link
  • entropy-cvs - old dev-version, Enlightenment project uses svn now
  • eselect - is it needed in Arch Linux?
  • evfs-cvs - old dev-version, Enlightenment project uses svn now
  • exquisite-cvs - old dev-version, Enlightenment project uses svn now
  • falldown - project page and sources aren't available
  • fbpager-git - broken links (see comment by hadrurus)

<--firefox-like pkgs cleaning-->

<--end of firefox-like pkgs-->

TU Working Area

For editing by TUs only! The wiki has a history so do not think you can get away with ignoring this... --Allan

Packages to Remove

In community:

Packages to Keep

  • atmel-firmware - no longer needed -- why?
  • autoconf-compat - too old to be useful -- it is for compiling old stuff, lets keep it, does not harm
  • aur-install - does this one still work and do we need it anyway? -- Seems to be actively maintained, no reason to delete. -- package is already REMOVED
  • amsn-plugins-texim - no longer exists -- it's here: [1] (StefanHusmann) -- package is already REMOVED
  • bin32-flashplayer-standalone - not needed anymore -- Still useful, because there is no native standalone flash player from Adobe on x86_64 systems. Mightyjaym (maintener)
  • blastwave - Dead projet, doesn't compile anymore. -- stefanhusmann: maybe only needs a maintainer.
  • btrfs - newer version (0.15) available, released May 29th, 2008. -- So this package should maybe be orphaned, no obvious reason to delete it. [Edit: orphaning should be requested in the aur-general mailing list. Dragonlord] -- package is already REMOVED
  • btrfs-progs - newer version (0.15) available, released May 29th, 2008. -- So this package should maybe be orphaned, no obvious reason to delete it.
  • cairo-wglitz - not needed anymore -- needed by cairo-dock
  • chocolate-doom-svn - package is broken. cause of AUR -- it is maintained.
  • eclipse33 - not needed anymore -- No reason to delete, actively maintained StefanHusmann
  • editobj2 - not needed anymore -- needed by songwrite2, I asked the maintainer to take it. (stefanhusmann)
  • empathy - empathy is in extra -- empathy is orpaned in [testing], no package in extra (stefanhusmann)
  • fluxbox-styles-boxwhore - boxwhore website is dead -- no, it seems to be down sometimes, but sometimes it works again. Package is maintained and has votes. (stefanhusmann)
  • galeon - doesn't compile (not even the latest version) -- seems to be actively maintained (stefanhusmann)
  • gdal Contributor seems to be inactive. Newer version available so this package should maybe be orphaned, no obvious reason to delete it. NOTE : updated on sept 24 2008. -- in [community]
  • gltail - apparently, this is not needed anymore (see comment) -- Should be rewritten, not dropped.
  • gnuserv - Deprecated in emacs-22+ - Please do not delete : see [2] The package never belonged to GNU emacs.(stefanhusmann)
  • gshare - The package didn't function for me with the latest gnome. Furthermore it looks like this project is dead (website is down, source is no longer available) -- it is in [community]
  • gvfs-smbfix - smb browse fix in gvfs 1.2 -- actively maintained
  • kanola - probably dead project, didn't went past the 0.0.1 release since 2006 -- PKGBUILD is maintained and maintainer is active.
  • klibc-zen - not needed anymore theres not even a kernel26zen. -- there is, but I orphand the package.
  • ii-hg - outdated, probably discontinued as the project website isn't available anymore (moved maybe?)
  • lam 7.1.3-1 - Doesn't compile and is orphaned. The successor openmpi works. -- actively maintained
  • lastfmsubmitd - Way old. -- actively maintained in [community]
  • mencode - outdated, tells aur is its homepage
    • The package is to install a perl script included in the AUR tarball so it doesn't really have a home page. So it could be kept if the script can still be useful or, at least, the script could be moved to the wiki if there is a page for scripts. --Snowman
  • mpd-pausemode - "Website" is orig. contributor's email addr.; orphaned by this contributor, so presumably no longer developed. -- no obvious need to delete
  • mlame - just a small bash script, no project page, could be moved to the wiki maybe -- actively maintained
  • mouseemu - Project not updated since 2006; xautomation also allows mouse emulation. -- package builds with little tweaking.
  • mplayer-w32codecs - not duplicate package as has more codecs than the "codecs" package. -- package is already REMOVED
    • Should rename to "codecs-extra" and not provide same files as codecs package --Allan
  • netbeans-cpp_6.1-1 - not needed anymore -- seems to be maintained.
  • netbeans-ruby_6.1-1 - not needed anymore -- seems to be maintained.
  • ndiswrapper-zen - not needed anymore. theres not even a kernel26zen.-- there is. Orphaned.
  • nvidia-96xx-zen - not needed anymore. theres not even a kernel26zen..-- there is. Orphaned.
  • nvidia-beta-zen - not needed anymore. theres not even a kernel26zen..-- there is. Orphaned.
  • nvidia-zen - http://aur.archlinux.org/packages.php?ID=13903 -- there isa zen kernel.
  • pidgimpd-svn - This package is orphaned and it doesn't build. There is mpd support in musictracker. -- actively maintained.
  • qgis contributor seems to be inactive. Newer version available so this package should maybe be orphaned, no obvious reason to delete it. -- package is in [community]
  • qgnokii - depend on qt3 but still use depend=(qt) -- builds fine with a little patch in pkgrel 6
  • sharpmusique - source is not available anymoreout this package -- angvp -- maybe it comes back again. -- maintained
  • sonata-disautocenter - not needed anymore -- actively maintained
  • truecrypt-zen - not needed anymore. theres not even a kernel26zen..-- there is. Orphaned.
  • vim-colorschemes - Mirror says 404, there is vim-colorsamplerpack in [extra] -- It is actively maintained
  • weather-wallpaper - orphaned and references as dep non-existing pymetar -- It is actively maintained (by a TU)
  • ww2d-extra - broken links, and there is no sources in other place -- maybe should be integrated into ww2d package which is also orphaned. Thoughts?
    • I tried to update ww2d, but linux binary file downloaded from SF doesn't run: no errors, no any messages in terminal. Source code is available only in cvs-repository, and last commit was on 2007-01-10. Program's author's site doesn't contain any information about ww2d. So this project is "dead". (manwithgrenade)
  • xmlwrapp no obvious reason to delete.
  • backintime-kde4 - made obsolete by other backintime version -- actively maintained
  • viceplus - maintainer wrotes that it may be deleted (see comment) -- but only because he made a mistake when uploading. no obvious need to remove. -- "Currently viceplus is merged with vice tree" ???
  • xfce4-genmon-plugin-svn - see comment for xfce-utils-svn -- there is no git-package yet
  • xfce4-notes-plugin-svn - see comment for xfce-utils-svn -- there is no git-package yet
  • xfce4-perl-svn - see comment for xfce-utils-svn -- there is no git-package yet -- package is already REMOVED
  • xfce4-power-manager-svn - see comment for xfce-utils-svn -- there is no git-package yet
  • xfce4-sensors-plugin-svn - see comment for xfce-utils-svn -- there is no git-package yet -- replaced by xfce4-sensors-plugin-git -- package is already REMOVED
  • xfce4-settings-svn - see comment for xfce-utils-svn -- there is no git-package yet
  • xfce4-smartpm-plugin-svn - see comment for xfce-utils-svn -- there is no git-package yet
  • xfce4-taskmanager-svn - see comment for xfce-utils-svn -- there is no git-package yet
  • xfce4-weather-plugin-svn - see comment for xfce-utils-svn -- there is no git-package yet

Remove from Filesystem

There are files on the AUR filesystem that have been created when poorly formed packages were uploaded. This is a secondary consideration.

There are also directories in /packages/ for which the package no longer exists. These probably need to be removed as well. All the packages that moved to community ALSO still exist there.

List here files that are in directories of existing packages.


This script will take care of packages that no longer exist.

#!/usr/bin/php
<?php
# Run this script by providing it with the top path of AUR.
# In that path you should see a file lib/aur.inc
#
# This will remove files which belong to deleted packages.
#
# ex: php cleanup dev/aur/web
#
$dir = $argv[1];

if (empty($dir)) {
        echo "Please specify AUR directory.\n";
        exit;
}

set_include_path(get_include_path() . PATH_SEPARATOR . "$dir/lib");
include("config.inc");
include("aur.inc");
include("pkgfuncs.inc");

exec('ls ' . INCOMING_DIR, $files);

$count = 0;

foreach ($files as $pkgname) {
        if (!package_exists($pkgname)) {
                echo 'Removing ' . INCOMING_DIR . "$pkgname\n";
                system('rm -r ' . INCOMING_DIR . $pkgname);
                $count++;
        }
}

echo "\nRemoved $count directories.\n";